package com.qhtx.eta.infra.service.impl;

import com.qhtx.eta.common.eunms.DataSourceType;
import com.qhtx.eta.common.eunms.ErrorEnum;
import com.qhtx.eta.infra.annotation.UseDataSource;
import com.qhtx.eta.infra.entity.dw.DWIndexFrame;
import com.qhtx.eta.infra.mapper.DWIndexFrameDao;
import com.qhtx.eta.infra.service.EtaApiClassifyService;
import com.qhtx.eta.infra.service.IndexFrameService;
import lombok.extern.slf4j.Slf4j;
import org.jetbrains.annotations.NotNull;
import org.springframework.stereotype.Service;
import org.springframework.transaction.TransactionStatus;
import org.springframework.transaction.support.TransactionCallbackWithoutResult;
import org.springframework.transaction.support.TransactionTemplate;

import javax.annotation.Resource;
import java.util.List;

@Service("indexFrameService")
@UseDataSource(dataSourceType = DataSourceType.DW)
@Slf4j
public class IndexFrameServiceImpl implements IndexFrameService {
    @Resource
    private DWIndexFrameDao dwIndexFrameDao;


    @Override
    public long getMaxTableCode() {
        return dwIndexFrameDao.getMaxTableCode();
    }

    @Override
    public DWIndexFrame getByCnName(String cnName) {
        return dwIndexFrameDao.getByCnName(cnName);
    }


    @Override
    public void insertOrUpdate(DWIndexFrame dwIndexFrame) {
        dwIndexFrameDao.insertOrUpdate(dwIndexFrame);
    }
}
